/*
 NOTE: this file is used only as a demo - the source code may have
 been shortened and may no longer work
 */


#include <catt.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <tcl.h>

#include "tclkit.h"
#include "kit.h"

/*
=head1 TmpName - create temporary filename
=head2 Synopsis
	TmpName ?stub?

=head2 Description
This call returns a unique filename that is useable for temporary
files. It is a direct mapping of the C<tempnam> call of C<C>.

=head2 Arguments
=over 3
=item stub
if this argument is present then it denotes a stub that should be used
to create temporary names. Otherwise either the name of the
application (from the global variable C<AppName>) or the string C<tcl>
is used. See the manual of C<tempnam> for details.
=back

=head2 Return Value
returns a temporary filename.
*/

int TCL_TmpName(ClientData Data, Tcl_Interp *interp, int argc, char **argv)
{
   char *tmp;
   char *buf;
   
   tmp = tempnam (NULL, buf);
   Tcl_SetResult (interp, tmp, TCL_DYNAMIC);

   return (TCL_OK);
}

/*
=head1 TmpFile - create temporary file
=head2 Synopsis
	TmpFile ?stub?

=head2 Description
THIS COMMAND IS CURRENTLY NOT IMPLEMENTED!

This call creates a temporary file that will be automatically removed
from the file system when it is closed or the application terminates

=head2 Arguments
=over 3
=item stub
if this argument is present then it denotes a stub that should be used
to create temporary names. Otherwise either the name of the
application (from the global variable C<AppName>) or the string C<tcl>
is used. See the manual of C<tempnam> for details.

=back

=head2 Return Value
returns a tcl file pointer if all is ok (the pointer may be used to
write to the file) or an error if something goes wrong.
*/

int TCL_TmpFile(ClientData Data, Tcl_Interp *interp, int argc, char **argv)
{
   FILE *fp;
   
   Tcl_SetResult(interp,"tmpname: not implemented",TCL_STATIC);
   return(TCL_ERROR);
}





